<!DOCTYPE html>
{% load static %}
{% load checkLink %}
<html>

<head>
  {% block links %}
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
  <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
  </script>
  {% endblock %}

  {% block head %}
  <title>Grapevine</title>
  {% endblock %}
</head>

<body class="d-flex flex-column min-vh-100">
    {% block navbar %}
    <nav class="navbar fixed-top navbar-light bg-light">
      <div class="container-fluid">
        <a href="{% url 'home' %}"><img src="{% static '/image/purple-g.png' %}" width="48px"></a>
        <!-- <div class="d-flex">
          <a href = "{% url 'filter' %}"><button class="btn button-primary me-1 d-inline"><span class="material-icons">&#xef4f;</span>Filter</button></a> 
          <button class="btn button-primary" onclick="scrollToTop()"><span class="material-icons">&#xe5d8;</span>Top</button>
        </div> -->
  
      </div>
    </nav>
    {% endblock %}
  
    {% block body %}
  
    {% endblock %}
  
    {% block menu %}
    <footer class="menu fixed-bottom">
      <div class="footer-menu">
      <table class="nav justify-content-center">
        <td class="nav-item">
          <a class="footer-button" href="{% url 'home' %}"><span class="material-icons-2">&#xeb81;</span><br>Dashboard</a>
        </td>
        <td class="nav-item">
          <a class="footer-button" href="{% url 'famtree' %}"><span class="material-icons-2">&#xf233;</span><br>Family Tree</a>
        </td>
        <td class="nav-item">
          <a class="footer-button" href="{% url 'photobook' %}"><span class="material-icons-2">&#xe86e;</span><br>Album</a>
        </td>
        <td class="nav-item">
          <a class="footer-button" href="{% url 'settings' %}"><span class="material-icons-2">&#xe8b8;</span><br>Settings</a>
        </td>
      </table>
    </div>
    </footer>
    {% endblock %}
    <script>
      function scrollToTop() {
            window.scrollTo(0, 0);
        }
    </script>
</body>

</html>